Intrusion Prevention

Autonomy.KeyView.SDK.wp6sr.DLL.Buffer.Overflow

Description

This indicates an attack attempt against a buffer overflow vulnerability in the Autonomy KeyView SDK.
The vulnerability is caused by an error when the vulnerable software handles a specially crafted WordPerfect (WPD) file. It allows a remote attacker to execute arbitrary code.

Affected Products

Autonomy Keyview Viewer SDK 10.4
Autonomy Keyview Viewer SDK 10.3
Autonomy Keyview Viewer SDK 10
Autonomy Keyview Filter SDK 10.4
Autonomy Keyview Filter SDK 10.3
Autonomy Keyview Filter SDK 10
Autonomy Keyview Export SDK 10.4
Autonomy Keyview Export SDK 10.3
Autonomy Keyview Export SDK 10

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

CVE References

CVE-2008-4564